¡Bienvenido a nuestra sección de preguntas y respuestas!

Aquí podrás realizar preguntas y recibir respuestas útiles de otros miembros de la comunidad.

¡Anímate a participar!


(Resuelto) - Actualizar PHP 5.2 a 5.3 en Debian Etch

0 votos

Hola,

a ver si me podeis echar una mano con esto, he buscado por internet pero no funciona nada.


Este es mi /etc/apt/sources.list:

deb http://archive.debian.org/debian etch main contrib non-free
deb http://archive.debian.org/debian-security etch/updates main contrib non-free


Esta es la salida actual de php -v:

PHP 5.2.0-8+etch16 (cli) (built: Nov 24 2009 11:14:47) 
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2006 Zend Technologies


Gracias!

propuesto por anónimo 10 May, 2013 en Linux
editado por erojas 10 Ene, 2014

1 Respuesta

+1 voto
 
Mejor respuesta

Hola!

La versión de tu distribución probablemente es Debian 4.0 ( etch ). Esta versión oficialmente no tiene soporte para PHP5.3 por lo que ya sería necesario emplear repositorios no-oficiales. Normalmente siempre recomiendo emplear los repositorios de http://www.dotdeb.org/ , pero dotdeb tampoco ofrece soporte de sus paquetes de PHP5.3 para Etch:

For your information, I do NOT intend to publish PHP>=5.3.0 packages for Debian Etch, it would mean too much work to get clean packages… PHP 5.2.10 (once fixed) will be last version available for Etch from Dotdeb. Then, you’re strongly encouraged to migrate to Debian Lenny if you want to take profit from 5.3.0.

Lo ideal en tu caso si quieres instalar PHP 5.3 sería actualizar a Debian Lenny.

respondido por adau (29,590 puntos) 10 May, 2013

Preguntas relacionadas

0 votos
1 respuesta 287 vistas
propuesto por Mareo (150 puntos) 12 Nov, 2013 en Aplicaciones Web
0 votos
1 respuesta 85 vistas
propuesto por vmasanas (350 puntos) 21 Nov, 2014 en Linux
0 votos
1 respuesta 1,031 vistas
0 votos
1 respuesta 294 vistas
...